import request, { postBlob, getBlob, handleImport } from '@/utils/request'

export function appraiseApplyApplyList(data) {
  return request({
    url: `/appraise/apply/apply/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

export function appraiseApplyApplyListExport(data, name) {
  return postBlob({
    url: '/appraise/apply/apply/list/export',
    data,
    name
  })
}

export function appraiseApplyApplyDetail(params) {
  return request({
    url: `/appraise/apply/apply/detail`,
    method: 'post',
    params
  })
}

// 评价申诉-提交
export function appraiseApplyApplySubmit(data) {
  return request({
    url: `/appraise/apply/apply/submit`,
    method: 'post',
    data
  })
}

// 评价申诉-审核
export function appraiseApplyApplyConfirm(data) {
  return request({
    url: `/appraise/apply/apply/confirm`,
    method: 'post',
    data
  })
}

// 评价申诉-驳回不可再申诉
export function appraiseApplyBatchUpdateEnd(data) {
  return request({
    url: `/appraise/apply/batch/update/end`,
    method: 'post',
    data
  })
}

// 评价申诉-驳回可重申诉
export function appraiseApplyBatchUpdateReset(data) {
  return request({
    url: `/appraise/apply/batch/update/reset`,
    method: 'post',
    data
  })
}
